# eric4.VCS.vcsCVS.CvsSwitchDialog

Module implementing a dialog to enter the data for a switch operation.

### Classes

CvsSwitchDialog | Class implementing a dialog to enter the data for a switch operation.

### Functions

None

## CvsSwitchDialog

Class implementing a dialog to enter the data for a switch operation.

### Derived from

QDialog, Ui_CvsSwitchDialog

### Methods

CvsSwitchDialog | Constructor
getParameters | Public method to retrieve the tag data.

#### CvsSwitchDialog (Constructor)

CvsSwitchDialog(taglist, parent = None)

Constructor

taglist
  list of previously entered tags (QStringList)
parent
  parent widget (QWidget)

#### CvsSwitchDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tag name (QString)

Up